/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventTargetInterface {
#if ENABLE(APPLE_PAY)
    ApplePaySessionEventTargetInterfaceType = 1,
#endif
#if ENABLE(DOM_AUDIO_SESSION)
    DOMAudioSessionEventTargetInterfaceType = 2,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaKeySessionEventTargetInterfaceType = 3,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeySessionEventTargetInterfaceType = 4,
#endif
#if ENABLE(MANAGED_MEDIA_SOURCE)
    ManagedMediaSourceEventTargetInterfaceType = 5,
    ManagedSourceBufferEventTargetInterfaceType = 6,
#endif
#if ENABLE(MEDIA_RECORDER)
    MediaRecorderEventTargetInterfaceType = 7,
#endif
#if ENABLE(MEDIA_SESSION_COORDINATOR)
    MediaSessionCoordinatorEventTargetInterfaceType = 8,
#endif
#if ENABLE(MEDIA_SOURCE)
    MediaSourceEventTargetInterfaceType = 9,
    SourceBufferEventTargetInterfaceType = 10,
    SourceBufferListEventTargetInterfaceType = 11,
#endif
#if ENABLE(MEDIA_STREAM)
    MediaDevicesEventTargetInterfaceType = 12,
    MediaStreamEventTargetInterfaceType = 13,
    MediaStreamTrackEventTargetInterfaceType = 14,
#endif
#if ENABLE(NOTIFICATIONS)
    NotificationEventTargetInterfaceType = 15,
#endif
#if ENABLE(OFFSCREEN_CANVAS)
    OffscreenCanvasEventTargetInterfaceType = 16,
#endif
#if ENABLE(PAYMENT_REQUEST)
    PaymentRequestEventTargetInterfaceType = 17,
    PaymentResponseEventTargetInterfaceType = 18,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    PictureInPictureWindowEventTargetInterfaceType = 19,
#endif
#if ENABLE(SERVICE_WORKER)
    BackgroundFetchRegistrationEventTargetInterfaceType = 20,
    ServiceWorkerEventTargetInterfaceType = 21,
    ServiceWorkerContainerEventTargetInterfaceType = 22,
    ServiceWorkerGlobalScopeEventTargetInterfaceType = 23,
    ServiceWorkerRegistrationEventTargetInterfaceType = 24,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisEventTargetInterfaceType = 25,
    SpeechSynthesisUtteranceEventTargetInterfaceType = 26,
#endif
#if ENABLE(VIDEO)
    AudioTrackListEventTargetInterfaceType = 27,
    MediaControllerEventTargetInterfaceType = 28,
    TextTrackEventTargetInterfaceType = 29,
    TextTrackCueEventTargetInterfaceType = 30,
    TextTrackCueGenericEventTargetInterfaceType = 31,
    TextTrackListEventTargetInterfaceType = 32,
    VideoTrackListEventTargetInterfaceType = 33,
#endif
#if ENABLE(WEBXR)
    WebXRLayerEventTargetInterfaceType = 34,
    WebXRSessionEventTargetInterfaceType = 35,
    WebXRSpaceEventTargetInterfaceType = 36,
    WebXRSystemEventTargetInterfaceType = 37,
#endif
#if ENABLE(WEB_AUDIO)
    AudioNodeEventTargetInterfaceType = 38,
    BaseAudioContextEventTargetInterfaceType = 39,
#endif
#if ENABLE(WEB_CODECS)
    WebCodecsAudioDecoderEventTargetInterfaceType = 40,
    WebCodecsVideoDecoderEventTargetInterfaceType = 41,
    WebCodecsVideoEncoderEventTargetInterfaceType = 42,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFSenderEventTargetInterfaceType = 43,
    RTCDataChannelEventTargetInterfaceType = 44,
    RTCDtlsTransportEventTargetInterfaceType = 45,
    RTCIceTransportEventTargetInterfaceType = 46,
    RTCPeerConnectionEventTargetInterfaceType = 47,
    RTCRtpSFrameTransformEventTargetInterfaceType = 48,
    RTCRtpScriptTransformEventTargetInterfaceType = 49,
    RTCSctpTransportEventTargetInterfaceType = 50,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET)
    RemotePlaybackEventTargetInterfaceType = 51,
#endif
    EventTargetInterfaceType = 52,
    AbortSignalEventTargetInterfaceType = 53,
    BroadcastChannelEventTargetInterfaceType = 54,
    ClipboardEventTargetInterfaceType = 55,
    CookieStoreEventTargetInterfaceType = 56,
    DOMApplicationCacheEventTargetInterfaceType = 57,
    DedicatedWorkerGlobalScopeEventTargetInterfaceType = 58,
    EventSourceEventTargetInterfaceType = 59,
    FileReaderEventTargetInterfaceType = 60,
    FontFaceSetEventTargetInterfaceType = 61,
    GPUDeviceEventTargetInterfaceType = 62,
    IDBDatabaseEventTargetInterfaceType = 63,
    IDBOpenDBRequestEventTargetInterfaceType = 64,
    IDBRequestEventTargetInterfaceType = 65,
    IDBTransactionEventTargetInterfaceType = 66,
    LocalDOMWindowEventTargetInterfaceType = 67,
    MediaQueryListEventTargetInterfaceType = 68,
    MessagePortEventTargetInterfaceType = 69,
    NodeEventTargetInterfaceType = 70,
    PerformanceEventTargetInterfaceType = 71,
    PermissionStatusEventTargetInterfaceType = 72,
    ScreenOrientationEventTargetInterfaceType = 73,
    SharedWorkerEventTargetInterfaceType = 74,
    SharedWorkerGlobalScopeEventTargetInterfaceType = 75,
    SpeechRecognitionEventTargetInterfaceType = 76,
    VisualViewportEventTargetInterfaceType = 77,
    WakeLockSentinelEventTargetInterfaceType = 78,
    WebAnimationEventTargetInterfaceType = 79,
    WebSocketEventTargetInterfaceType = 80,
    WorkerEventTargetInterfaceType = 81,
    WorkletGlobalScopeEventTargetInterfaceType = 82,
    XMLHttpRequestEventTargetInterfaceType = 83,
    XMLHttpRequestUploadEventTargetInterfaceType = 84,
};

} // namespace WebCore
